- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# systemtask.c File Reference

`#include <ubixos/systemtask.h>`
`#include <ubixos/kpanic.h>`
`#include <ubixos/exec.h>`
`#include <ubixos/tty.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/vitals.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <lib/bioscall.h>`
`#include <sde/sde.h>`
`#include <sys/io.h>`
`#include <vmm/vmm.h>`
`#include <mpi/mpi.h>`
`#include <string.h>`

Include dependency graph for systemtask.c:

Go to the source code of this file.

## Functions
void | systemTask ()
## Variables
static unsigned char * | videoBuffer = (char *)0xB8000

## Function Documentation

void systemTask | ( |  | ) |

Definition at line 48 of file systemtask.c.

References biosCall(), mpi_message::data, fclose(), mpi_message::header, taskStruct::id, taskStruct::imageFd, inportByte(), kfree(), kpanic(), kprintf(), mpi_createMbox(), mpi_fetchMessage(), outportByte(), mpi_message::pid, printOff, sched_getDelTask(), sched_yield(), schedFindTask(), strcmp(), systemVitals, vitalsStruct::sysTicks, vitalsStruct::sysUptime, taskStruct::term, tty_find(), videoBuffer, vmmFreeProcessPages(), and x10.

Referenced by kmain().

Here is the call graph for this function:

## Variable Documentation

unsigned char* videoBuffer = (char *)0xB8000`[static]`

Definition at line 45 of file systemtask.c.

Referenced by backSpace(), clearScreen(), kprint(), and systemTask().